﻿using MTWorkHR.Core.Entities.Base;
using MTWorkHR.Core.Global;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MTWorkHR.Core.Entities.User
{
    public class OrderRequest : FullAuditEntity, IHaveCompany
    {
        public DateTime StartDate { get; set; }
        public DateTime? EndDate { get; set; }
        [Required]
        [ForeignKey("OrderTypeId")]
        public OrderType OrderType { get; set; }
        public long OrderTypeId { get; set; }
        [ForeignKey("LeaveTypeId")]
        public LeaveType? LeaveType { get; set; }
        public long? LeaveTypeId { get; set; }
        [Filter]
        public string? RequestComments { get; set; }
        public ApprovalStatusEnum? OrderStatus { get; set; }
        [Filter]
        public string RequestingEmployeeId { get; set; }
        public int? CountryId{ get; set; }
        public int? CityId { get; set; }
        public string? StartTime { get; set; }
        public string? EndTime { get; set; }

        public long CompanyId { get ; set ; }

    }
}
