﻿using Microsoft.AspNetCore.Identity;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MTWorkHR.Infrastructure.Entities;
using MTWorkHR.Core.Entities.Base;
using MTWorkHR.Core.Entities;

namespace MTWorkHR.Infrastructure.Configurations
{
    public class IndustryConfiguration : IEntityTypeConfiguration<Industry>
    {

        public void Configure(EntityTypeBuilder<Industry> builder)
        {

            builder.HasData(
                new Industry { NameEn = "Aerospace industry", NameAr = "صناعة الطيران والفضاء", Id = 1 },
                new Industry { NameEn = "Agricultural industry", NameAr = "صناعة الزراعة", Id = 2 },
                new Industry { NameEn = "Automotive industry", NameAr = "صناعة السيارات", Id = 3 },
                new Industry { NameEn = "Basic metal", NameAr = "صناعة المعادن الأساسية", Id = 4 },
                new Industry { NameEn = "Chemical industry", NameAr = "صناعة الكيماويات", Id = 5 },
                new Industry { NameEn = "Computer industry", NameAr = "صناعة الحواسيب", Id = 6 },
                new Industry { NameEn = "Construction industry", NameAr = "صناعة البناء", Id = 7 },
                new Industry { NameEn = "Creative industry", NameAr = "صناعة الإبداعية", Id = 8 },
                new Industry { NameEn = "Cultural industry", NameAr = "صناعة الثقافة", Id = 9 },
                new Industry { NameEn = "Defense industry", NameAr = "صناعة الدفاع", Id = 10 },
                new Industry { NameEn = "Education industry", NameAr = "صناعة التعليم", Id = 11 },
                new Industry { NameEn = "Electric power", NameAr = "صناعة الطاقة الكهربائية", Id = 12 },
                new Industry { NameEn = "Electronics industry", NameAr = "صناعة الإلكترونيات", Id = 13 },
                new Industry { NameEn = "Energy industry", NameAr = "صناعة الطاقة", Id = 14 },
                new Industry { NameEn = "Engineering industry", NameAr = "صناعة الهندسة", Id = 15 },
                new Industry { NameEn = "Entertainment industry", NameAr = "صناعة الترفيه", Id = 16 },
                new Industry { NameEn = "Farming industry", NameAr = "صناعة الزراعة", Id = 17 },
                new Industry { NameEn = "Fashion industry", NameAr = "صناعة الموضة", Id = 18 },
                new Industry { NameEn = "Film industry", NameAr = "صناعة السينما", Id = 19 },
                new Industry { NameEn = "Financial services", NameAr = "صناعة الخدمات المالية", Id = 20 },
                new Industry { NameEn = "Fishing industry", NameAr = "صناعة الصيد", Id = 21 },
                new Industry { NameEn = "Food industry", NameAr = "صناعة الأغذية", Id = 22 },
                new Industry { NameEn = "Forestry industry", NameAr = "صناعة الغابات", Id = 23 },
                new Industry { NameEn = "Gambling industry", NameAr = "صناعة القمار", Id = 24 },
                new Industry { NameEn = "Gas industry", NameAr = "صناعة الغاز", Id = 25 },
                new Industry { NameEn = "Green industry", NameAr = "صناعة البيئة", Id = 26 },
                new Industry { NameEn = "Health services industry", NameAr = "صناعة الخدمات الصحية", Id = 27 },
                new Industry { NameEn = "Hospitality industry", NameAr = "صناعة الضيافة", Id = 28 },
                new Industry { NameEn = "Hotels industry", NameAr = "صناعة الفنادق", Id = 29 },
                new Industry { NameEn = "Industrial robot", NameAr = "صناعة الروبوتات الصناعية", Id = 30 },
                new Industry { NameEn = "Information industry", NameAr = "صناعة المعلومات", Id = 31 },
                new Industry { NameEn = "Information technology", NameAr = "صناعة تكنولوجيا المعلومات", Id = 32 },
                new Industry { NameEn = "Infrastructure industry", NameAr = "صناعة البنية التحتية", Id = 33 },
                new Industry { NameEn = "Insurance industry", NameAr = "صناعة التأمين", Id = 34 },
                new Industry { NameEn = "Leisure industry", NameAr = "صناعة الترفيه", Id = 35 },
                new Industry { NameEn = "Low technology", NameAr = "صناعة التكنولوجيا المنخفضة", Id = 36 },
                new Industry { NameEn = "Manufacturing industry", NameAr = "صناعة التصنيع", Id = 37 },
                new Industry { NameEn = "Meat industry", NameAr = "صناعة اللحوم", Id = 38},
                new Industry { NameEn = "Media industry", NameAr = "صناعة الإعلام", Id = 39 },
                new Industry { NameEn = "Merchandising industry", NameAr = "صناعة التجارة", Id = 40 },
                new Industry { NameEn = "Mining industry", NameAr = "صناعة التعدين", Id = 41 },
                new Industry { NameEn = "Music industry", NameAr = "صناعة الموسيقى", Id = 42 },
                new Industry { NameEn = "News media", NameAr = "صناعة وسائل الإعلام", Id = 43 },
                new Industry { NameEn = "Oil and gas industry", NameAr = "صناعة النفط والغاز", Id = 44 },
                new Industry { NameEn = "Pharmaceutical industry", NameAr = "صناعة الأدوية", Id = 45 },
                new Industry { NameEn = "Professional industry", NameAr = "صناعة المهنية", Id = 46 },
                new Industry { NameEn = "Publishing industry", NameAr = "صناعة النشر", Id = 47 },
                new Industry { NameEn = "Pulp and paper industry", NameAr = "صناعة الورق واللب", Id = 48 },
                new Industry { NameEn = "Railway industry", NameAr = "صناعة السكك الحديدية", Id = 49 },
                new Industry { NameEn = "Real estate", NameAr = "الانشاءات", Id = 50 }
            );
        }
    }
}