﻿using Microsoft.AspNetCore.Identity;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using Microsoft.EntityFrameworkCore;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using MTWorkHR.Infrastructure.Entities;
using MTWorkHR.Core.Entities.Base;
using MTWorkHR.Core.Entities;
using Countries.NET.Database;
using System.Runtime.ConstrainedExecution;

namespace MTWorkHR.Infrastructure.Configurations
{
    public class NationalityConfiguration : IEntityTypeConfiguration<Nationality>
    {

        public void Configure(EntityTypeBuilder<Nationality> builder)
        {

            builder.HasData(

					new Nationality
					{
						Id = 1,
						CountryCode = "AF",
						NameEn = "Afghan",
						NameAr = "أفغاني"
					},
					new Nationality
					{
						Id = 2,
						CountryCode = "AL",
						NameEn = "Albanian",
						NameAr = "ألباني"
					},
					new Nationality
					{
						Id = 3,
						CountryCode = "DZ",
						NameEn = "Algerian",
						NameAr = "جزائري"
					},
					new Nationality
					{
						Id = 4,
						CountryCode = "AS",
						NameEn = "American Samoan",
						NameAr = "أمريكي ساموي"
					},
					new Nationality
					{
						Id = 5,
						CountryCode = "US",
						NameEn = "American",
						NameAr = "أمريكي"
					},
					new Nationality
					{
						Id = 6,
						CountryCode = "AD",
						NameEn = "Andorran",
						NameAr = "أندوري"
					},
					new Nationality
					{
						Id = 7,
						CountryCode = "AO",
						NameEn = "Angolan",
						NameAr = "أنغولي"
					},
					new Nationality
					{
						Id = 8,
						CountryCode = "AI",
						NameEn = "Anguillian",
						NameAr = "أنغويلي"
					},
					new Nationality
					{
						Id = 9,
						CountryCode = "AG",
						NameEn = "Antiguan",
						NameAr = "أنتيغي"
					},
					new Nationality
					{
						Id = 10,
						CountryCode = "AR",
						NameEn = "Argentinian",
						NameAr = "أرجنتيني"
					},
					new Nationality
					{
						Id = 11,
						CountryCode = "AM",
						NameEn = "Armenian",
						NameAr = "أرميني"
					},
					new Nationality
					{
						Id = 12,
						CountryCode = "AW",
						NameEn = "Aruban",
						NameAr = "أروبي"
					},
					new Nationality
					{
						Id = 13,
						CountryCode = "AU",
						NameEn = "Australian",
						NameAr = "أسترالي"
					},
					new Nationality
					{
						Id = 14,
						CountryCode = "AT",
						NameEn = "Austrian",
						NameAr = "نمساوي"
					},
					new Nationality
					{
						Id = 15,
						CountryCode = "AZ",
						NameEn = "Azerbaijani",
						NameAr = "أذربيجاني"
					},
					new Nationality
					{
						Id = 16,
						CountryCode = "BS",
						NameEn = "Bahamian",
						NameAr = "باهامي"
					},
					new Nationality
					{
						Id = 17,
						CountryCode = "BH",
						NameEn = "Bahraini",
						NameAr = "بحريني"
					},
					new Nationality
					{
						Id = 18,
						CountryCode = "BD",
						NameEn = "Bangladeshi",
						NameAr = "بنغلاديشي"
					},
					new Nationality
					{
						Id = 19,
						CountryCode = "BB",
						NameEn = "Barbadian",
						NameAr = "باربادوسي"
					},
					new Nationality
					{
						Id = 20,
						CountryCode = "BY",
						NameEn = "Belarusian",
						NameAr = "بيلاروسي"
					},
					new Nationality
					{
						Id = 21,
						CountryCode = "BE",
						NameEn = "Belgian",
						NameAr = "بلجيكي"
					},
					new Nationality
					{
						Id = 22,
						CountryCode = "BZ",
						NameEn = "Belizean",
						NameAr = "بليزي"
					},
					new Nationality
					{
						Id = 23,
						CountryCode = "BJ",
						NameEn = "Beninese",
						NameAr = "بنيني"
					},
					new Nationality
					{
						Id = 24,
						CountryCode = "BT",
						NameEn = "Bhutanese",
						NameAr = "بوتاني"
					},
					new Nationality
					{
						Id = 25,
						CountryCode = "BO",
						NameEn = "Bolivian",
						NameAr = "بوليفي"
					},
					new Nationality
					{
						Id = 26,
						CountryCode = "BA",
						NameEn = "Bosnian",
						NameAr = "بوسني"
					},
					new Nationality
					{
						Id = 27,
						CountryCode = "BR",
						NameEn = "Brazilian",
						NameAr = "برازيلي"
					},
					new Nationality
					{
						Id = 28,
						CountryCode = "GB",
						NameEn = "British",
						NameAr = "بريطاني"
					},
					new Nationality
					{
						Id = 29,
						CountryCode = "BN",
						NameEn = "Bruneian",
						NameAr = "بروني"
					},
					new Nationality
					{
						Id = 30,
						CountryCode = "BG",
						NameEn = "Bulgarian",
						NameAr = "بلغاري"
					},
					new Nationality
					{
						Id = 31,
						CountryCode = "BF",
						NameEn = "Burkinabe",
						NameAr = "بوركيني"
					},
					new Nationality
					{
						Id = 32,
						CountryCode = "MM",
						NameEn = "Burmese",
						NameAr = "بورمي"
					},
					new Nationality
					{
						Id = 33,
						CountryCode = "BI",
						NameEn = "Burundian",
						NameAr = "بوروندي"
					},
					new Nationality
					{
						Id = 34,
						CountryCode = "KH",
						NameEn = "Cambodian",
						NameAr = "كمبودي"
					},
					new Nationality
					{
						Id = 35,
						CountryCode = "CM",
						NameEn = "Cameroonian",
						NameAr = "كاميروني"
					},
					new Nationality
					{
						Id = 36,
						CountryCode = "CA",
						NameEn = "Canadian",
						NameAr = "كندي"
					},
					new Nationality
					{
						Id = 37,
						CountryCode = "CV",
						NameEn = "Cape Verdean",
						NameAr = "الرأس الأخضر"
					},
					new Nationality
					{
						Id = 38,
						CountryCode = "CF",
						NameEn = "Central African",
						NameAr = "أفريقي أوسط"
					},
					new Nationality
					{
						Id = 39,
						CountryCode = "TD",
						NameEn = "Chadian",
						NameAr = "تشادي"
					},
					new Nationality
					{
						Id = 40,
						CountryCode = "CL",
						NameEn = "Chilean",
						NameAr = "تشيلي"
					},
					new Nationality
					{
						Id = 41,
						CountryCode = "CN",
						NameEn = "Chinese",
						NameAr = "صيني"
					},
					new Nationality
					{
						Id = 42,
						CountryCode = "CO",
						NameEn = "Colombian",
						NameAr = "كولومبي"
					},
					new Nationality
					{
						Id = 43,
						CountryCode = "KM",
						NameEn = "Comorian",
						NameAr = "قُمُري"
					},
					new Nationality
					{
						Id = 44,
						CountryCode = "CG",
						NameEn = "Congolese",
						NameAr = "كونغولي"
					},
					new Nationality
					{
						Id = 45,
						CountryCode = "CR",
						NameEn = "Costa Rican",
						NameAr = "كوستاريكي"
					},
					new Nationality
					{
						Id = 46,
						CountryCode = "HR",
						NameEn = "Croatian",
						NameAr = "كرواتي"
					},
					new Nationality
					{
						Id = 47,
						CountryCode = "CU",
						NameEn = "Cuban",
						NameAr = "كوبي"
					},
					new Nationality
					{
						Id = 48,
						CountryCode = "CY",
						NameEn = "Cypriot",
						NameAr = "قبرصي"
					},
					new Nationality
					{
						Id = 49,
						CountryCode = "CZ",
						NameEn = "Czech",
						NameAr = "تشيكي"
					},
					new Nationality
					{
						Id = 50,
						CountryCode = "DK",
						NameEn = "Danish",
						NameAr = "دنماركي"
					},
					new Nationality
					{
						Id = 51,
						CountryCode = "DJ",
						NameEn = "Djiboutian",
						NameAr = "جيبوتي"
					},
					new Nationality
					{
						Id = 52,
						CountryCode = "DO",
						NameEn = "Dominican",
						NameAr = "دومينيكاني"
					},
					new Nationality
					{
						Id = 53,
						CountryCode = "NL",
						NameEn = "Dutch",
						NameAr = "هولندي"
					},
					new Nationality
					{
						Id = 54,
						CountryCode = "EC",
						NameEn = "Ecuadorean",
						NameAr = "إكوادوري"
					},
					new Nationality
					{
						Id = 55,
						CountryCode = "EG",
						NameEn = "Egyptian",
						NameAr = "مصري"
					},
					new Nationality
					{
						Id = 56,
						CountryCode = "AE",
						NameEn = "Emirati",
						NameAr = "إماراتي"
					},
					new Nationality
					{
						Id = 57,
						CountryCode = "GQ",
						NameEn = "Equatorial Guinean",
						NameAr = "غيني استوائي"
					},
					new Nationality
					{
						Id = 58,
						CountryCode = "ER",
						NameEn = "Eritrean",
						NameAr = "إريتيري"
					},
					new Nationality
					{
						Id = 59,
						CountryCode = "EE",
						NameEn = "Estonian",
						NameAr = "إستوني"
					},
					new Nationality
					{
						Id = 60,
						CountryCode = "ET",
						NameEn = "Ethiopian",
						NameAr = "أثيوبي"
					},
					new Nationality
					{
						Id = 61,
						CountryCode = "FJ",
						NameEn = "Fijian",
						NameAr = "فيجي"
					},
					new Nationality
					{
						Id = 62,
						CountryCode = "FI",
						NameEn = "Finnish",
						NameAr = "فنلندي"
					},
					new Nationality
					{
						Id = 63,
						CountryCode = "FR",
						NameEn = "French",
						NameAr = "فرنسي"
					},
					new Nationality
					{
						Id = 64,
						CountryCode = "GA",
						NameEn = "Gabonese",
						NameAr = "غابوني"
					},
					new Nationality
					{
						Id = 65,
						CountryCode = "GM",
						NameEn = "Gambian",
						NameAr = "غامبي"
					},
					new Nationality
					{
						Id = 66,
						CountryCode = "GE",
						NameEn = "Georgian",
						NameAr = "جورجي"
					},
					new Nationality
					{
						Id = 67,
						CountryCode = "DE",
						NameEn = "German",
						NameAr = "ألماني"
					},
					new Nationality
					{
						Id = 68,
						CountryCode = "GH",
						NameEn = "Ghanaian",
						NameAr = "غاني"
					},
					new Nationality
					{
						Id = 69,
						CountryCode = "GI",
						NameEn = "Gibraltarian",
						NameAr = "جبل طارق"
					},
					new Nationality
					{
						Id = 70,
						CountryCode = "GR",
						NameEn = "Greek",
						NameAr = "يوناني"
					},
					new Nationality
					{
						Id = 71,
						CountryCode = "GL",
						NameEn = "Greenlandic",
						NameAr = "جرينلندي"
					},
					new Nationality
					{
						Id = 72,
						CountryCode = "GD",
						NameEn = "Grenadian",
						NameAr = "غرينادي"
					},
					new Nationality
					{
						Id = 73,
						CountryCode = "GU",
						NameEn = "Guamanian",
						NameAr = "غوامي"
					},
					new Nationality
					{
						Id = 74,
						CountryCode = "GT",
						NameEn = "Guatemalan",
						NameAr = "غواتيمالي"
					},
					new Nationality
					{
						Id = 75,
						CountryCode = "GN",
						NameEn = "Guinean",
						NameAr = "غيني"
					},
					new Nationality
					{
						Id = 76,
						CountryCode = "GW",
						NameEn = "Guinean",
						NameAr = "غيني"
					},
					new Nationality
					{
						Id = 77,
						CountryCode = "GY",
						NameEn = "Guyanese",
						NameAr = "غياني"
					},
					new Nationality
					{
						Id = 78,
						CountryCode = "HT",
						NameEn = "Haitian",
						NameAr = "هايتي"
					},
					new Nationality
					{
						Id = 79,
						CountryCode = "HN",
						NameEn = "Honduran",
						NameAr = "هندوراسي"
					},
					new Nationality
					{
						Id = 80,
						CountryCode = "HK",
						NameEn = "Hong Konger",
						NameAr = "هونغ كونغي"
					},
					new Nationality
					{
						Id = 81,
						CountryCode = "HU",
						NameEn = "Hungarian",
						NameAr = "مجري"
					},
					new Nationality
					{
						Id = 82,
						CountryCode = "IS",
						NameEn = "Icelander",
						NameAr = "آيسلندي"
					},
					new Nationality
					{
						Id = 83,
						CountryCode = "IN",
						NameEn = "Indian",
						NameAr = "هندي"
					},
					new Nationality
					{
						Id = 84,
						CountryCode = "ID",
						NameEn = "Indonesian",
						NameAr = "إندونيسي"
					},
					new Nationality
					{
						Id = 85,
						CountryCode = "IR",
						NameEn = "Iranian",
						NameAr = "إيراني"
					},
					new Nationality
					{
						Id = 86,
						CountryCode = "IQ",
						NameEn = "Iraqi",
						NameAr = "عراقي"
					},
					new Nationality
					{
						Id = 87,
						CountryCode = "IE",
						NameEn = "Irish",
						NameAr = "إيرلندي"
					},
					
					new Nationality
					{
						Id = 89,
						CountryCode = "IT",
						NameEn = "Italian",
						NameAr = "إيطالي"
					},
					new Nationality
					{
						Id = 90,
						CountryCode = "JM",
						NameEn = "Jamaican",
						NameAr = "جامايكي"
					},
					new Nationality
					{
						Id = 91,
						CountryCode = "JP",
						NameEn = "Japanese",
						NameAr = "ياباني"
					},
					new Nationality
					{
						Id = 92,
						CountryCode = "JE",
						NameEn = "Jersey",
						NameAr = "جيرسي"
					},
					new Nationality
					{
						Id = 93,
						CountryCode = "JO",
						NameEn = "Jordanian",
						NameAr = "أردني"
					},
					new Nationality
					{
						Id = 94,
						CountryCode = "KZ",
						NameEn = "Kazakh",
						NameAr = "كازاخي"
					},
					new Nationality
					{
						Id = 95,
						CountryCode = "KE",
						NameEn = "Kenyan",
						NameAr = "كيني"
					},
					new Nationality
					{
						Id = 96,
						CountryCode = "KI",
						NameEn = "Kiribati",
						NameAr = "كيريباتي"
					},
					new Nationality
					{
						Id = 97,
						CountryCode = "KP",
						NameEn = "North Korean",
						NameAr = "كوري شمالي"
					},
					new Nationality
					{
						Id = 98,
						CountryCode = "KR",
						NameEn = "South Korean",
						NameAr = "كوري جنوبي"
					},
					new Nationality
					{
						Id = 99,
						CountryCode = "KW",
						NameEn = "Kuwaiti",
						NameAr = "كويتي"
					},
					new Nationality
					{
						Id = 100,
						CountryCode = "KG",
						NameEn = "Kyrgyzstani",
						NameAr = "قرغيزستاني"
					},
					new Nationality
					{
						Id = 101,
						CountryCode = "LA",
						NameEn = "Lao",
						NameAr = "لاوي"
					},
					new Nationality
					{
						Id = 102,
						CountryCode = "LV",
						NameEn = "Latvian",
						NameAr = "لاتفي"
					},
					new Nationality
					{
						Id = 103,
						CountryCode = "LB",
						NameEn = "Lebanese",
						NameAr = "لبناني"
					},
					new Nationality
					{
						Id = 104,
						CountryCode = "LS",
						NameEn = "Lesotho",
						NameAr = "ليسوتو"
					},
					new Nationality
					{
						Id = 105,
						CountryCode = "LR",
						NameEn = "Liberian",
						NameAr = "ليبيريي"
					},
					new Nationality
					{
						Id = 106,
						CountryCode = "LY",
						NameEn = "Libyan",
						NameAr = "ليبي"
					},
					new Nationality
					{
						Id = 107,
						CountryCode = "LI",
						NameEn = "Liechtensteiner",
						NameAr = "ليختنشتايني"
					},
					new Nationality
					{
						Id = 108,
						CountryCode = "LT",
						NameEn = "Lithuanian",
						NameAr = "ليتواني"
					},
					new Nationality
					{
						Id = 109,
						CountryCode = "LU",
						NameEn = "Luxembourgish",
						NameAr = "لوكسمبورغي"
					},
					new Nationality
					{
						Id = 110,
						CountryCode = "MG",
						NameEn = "Malagasy",
						NameAr = "ملغاشي"
					},
					new Nationality
					{
						Id = 111,
						CountryCode = "MW",
						NameEn = "Malawian",
						NameAr = "ملووي"
					},
					new Nationality
					{
						Id = 112,
						CountryCode = "MY",
						NameEn = "Malaysian",
						NameAr = "ماليزيا"
					},
					new Nationality
					{
						Id = 113,
						CountryCode = "MV",
						NameEn = "Maldivian",
						NameAr = "مالديفي"
					},
					new Nationality
					{
						Id = 114,
						CountryCode = "ML",
						NameEn = "Malian",
						NameAr = "مالي"
					},
					new Nationality
					{
						Id = 115,
						CountryCode = "MT",
						NameEn = "Maltese",
						NameAr = "مالطي"
					},
					new Nationality
					{
						Id = 116,
						CountryCode = "MH",
						NameEn = "Marshallese",
						NameAr = "مارشالي"
					},
					new Nationality
					{
						Id = 117,
						CountryCode = "MR",
						NameEn = "Mauritanian",
						NameAr = "موريتاني"
					},
					new Nationality
					{
						Id = 118,
						CountryCode = "MU",
						NameEn = "Mauritian",
						NameAr = "موريشيوسي"
					},
					new Nationality
					{
						Id = 119,
						CountryCode = "MX",
						NameEn = "Mexican",
						NameAr = "مكسيكي"
					},
					new Nationality
					{
						Id = 120,
						CountryCode = "FM",
						NameEn = "Micronesian",
						NameAr = "ماكروني"
					},
					new Nationality
					{
						Id = 121,
						CountryCode = "MD",
						NameEn = "Moldovan",
						NameAr = "مولدوفي"
					},
					new Nationality
					{
						Id = 122,
						CountryCode = "MC",
						NameEn = "Monacan",
						NameAr = "موناكي"
					},
					new Nationality
					{
						Id = 123,
						CountryCode = "MN",
						NameEn = "Mongolian",
						NameAr = "منغولي"
					},
					new Nationality
					{
						Id = 124,
						CountryCode = "ME",
						NameEn = "Montenegrin",
						NameAr = "مونتينيغري"
					},
					new Nationality
					{
						Id = 125,
						CountryCode = "MA",
						NameEn = "Moroccan",
						NameAr = "مغربي"
					},
					new Nationality
					{
						Id = 126,
						CountryCode = "MZ",
						NameEn = "Mozambican",
						NameAr = "موزمبيقي"
					},
					new Nationality
					{
						Id = 127,
						CountryCode = "NA",
						NameEn = "Namibian",
						NameAr = "ناميبي"
					},
					new Nationality
					{
						Id = 128,
						CountryCode = "NR",
						NameEn = "Nauruan",
						NameAr = "نيواروي"
					},
					new Nationality
					{
						Id = 129,
						CountryCode = "NP",
						NameEn = "Nepali",
						NameAr = "نيبالي"
					},
					new Nationality
					{
						Id = 130,
						CountryCode = "NL",
						NameEn = "Dutch",
						NameAr = "هولندي"
					},
					new Nationality
					{
						Id = 131,
						CountryCode = "NZ",
						NameEn = "New Zealander",
						NameAr = "نيوزيلندي"
					},
					new Nationality
					{
						Id = 132,
						CountryCode = "NI",
						NameEn = "Nicaraguan",
						NameAr = "نيكاراغوي"
					},
					new Nationality
					{
						Id = 133,
						CountryCode = "NE",
						NameEn = "Nigerien",
						NameAr = "نيجيري"
					},
					new Nationality
					{
						Id = 134,
						CountryCode = "NG",
						NameEn = "Nigerian",
						NameAr = "نيجيري"
					},
					new Nationality
					{
						Id = 135,
						CountryCode = "MK",
						NameEn = "North Macedonian",
						NameAr = "مقدوني شمالي"
					},
					new Nationality
					{
						Id = 136,
						CountryCode = "NO",
						NameEn = "Norwegian",
						NameAr = "نرويجي"
					},
					new Nationality
					{
						Id = 137,
						CountryCode = "OM",
						NameEn = "Omani",
						NameAr = "عماني"
					},
					new Nationality
					{
						Id = 138,
						CountryCode = "PK",
						NameEn = "Pakistani",
						NameAr = "باكستاني"
					},
					new Nationality
					{
						Id = 139,
						CountryCode = "PW",
						NameEn = "Palauan",
						NameAr = "بالاوي"
					},
					new Nationality
					{
						Id = 140,
						CountryCode = "PA",
						NameEn = "Panamanian",
						NameAr = "بنمي"
					},
					new Nationality
					{
						Id = 141,
						CountryCode = "PG",
						NameEn = "Papua New Guinean",
						NameAr = "بابوا غينيا الجديدة"
					},
					new Nationality
					{
						Id = 142,
						CountryCode = "PY",
						NameEn = "Paraguayan",
						NameAr = "باراغواني"
					},
					new Nationality
					{
						Id = 143,
						CountryCode = "PE",
						NameEn = "Peruvian",
						NameAr = "بيروفي"
					},
					new Nationality
					{
						Id = 144,
						CountryCode = "PH",
						NameEn = "Filipino",
						NameAr = "فلبيني"
					},
					new Nationality
					{
						Id = 145,
						CountryCode = "PL",
						NameEn = "Polish",
						NameAr = "بولندي"
					},
					new Nationality
					{
						Id = 146,
						CountryCode = "PT",
						NameEn = "Portuguese",
						NameAr = "برتغالي"
					},
					new Nationality
					{
						Id = 147,
						CountryCode = "QA",
						NameEn = "Qatari",
						NameAr = "قطري"
					},
					new Nationality
					{
						Id = 148,
						CountryCode = "RE",
						NameEn = "Réunionese",
						NameAr = "لا ريونيون"
					},
					new Nationality
					{
						Id = 149,
						CountryCode = "RO",
						NameEn = "Romanian",
						NameAr = "روماني"
					},
					new Nationality
					{
						Id = 150,
						CountryCode = "RU",
						NameEn = "Russian",
						NameAr = "روسي"
					},
					new Nationality
					{
						Id = 151,
						CountryCode = "RW",
						NameEn = "Rwandan",
						NameAr = "رواندي"
					},
					new Nationality
					{
						Id = 152,
						CountryCode = "BL",
						NameEn = "Saint Barthélemy",
						NameAr = "سانت بارتيليمي"
					},
					new Nationality
					{
						Id = 153,
						CountryCode = "SH",
						NameEn = "Saint Helenian",
						NameAr = "سانت هيلاني"
					},
					new Nationality
					{
						Id = 154,
						CountryCode = "KN",
						NameEn = "Saint Kitts and Nevis",
						NameAr = "سانت كيتس ونيفيس"
					},
					new Nationality
					{
						Id = 155,
						CountryCode = "LC",
						NameEn = "Saint Lucian",
						NameAr = "سانت لوسيان"
					},
					new Nationality
					{
						Id = 156,
						CountryCode = "MF",
						NameEn = "Saint Martin",
						NameAr = "سانت مارتن"
					},
					new Nationality
					{
						Id = 157,
						CountryCode = "SX",
						NameEn = "Sint Maarten",
						NameAr = "سانت مارتن"
					},
					new Nationality
					{
						Id = 158,
						CountryCode = "WS",
						NameEn = "Samoan",
						NameAr = "سماوي"
					},
					new Nationality
					{
						Id = 159,
						CountryCode = "SM",
						NameEn = "Sammarinese",
						NameAr = "سانماريني"
					},
					new Nationality
					{
						Id = 160,
						CountryCode = "ST",
						NameEn = "Sao Tomean",
						NameAr = "ساو توماني"
					},
					new Nationality
					{
						Id = 161,
						CountryCode = "SA",
						NameEn = "Saudi",
						NameAr = "سعودي"
					},
					new Nationality
					{
						Id = 162,
						CountryCode = "SN",
						NameEn = "Senegalese",
						NameAr = "سنغالي"
					},
					new Nationality
					{
						Id = 163,
						CountryCode = "RS",
						NameEn = "Serbian",
						NameAr = "صربي"
					},
					new Nationality
					{
						Id = 164,
						CountryCode = "SC",
						NameEn = "Seychellois",
						NameAr = "سيشلي"
					},
					new Nationality
					{
						Id = 165,
						CountryCode = "SL",
						NameEn = "Sierra Leonean",
						NameAr = "سيراليوني"
					},
					new Nationality
					{
						Id = 166,
						CountryCode = "SG",
						NameEn = "Singaporean",
						NameAr = "سنغافوري"
					},
					new Nationality
					{
						Id = 167,
						CountryCode = "SK",
						NameEn = "Slovak",
						NameAr = "سلوفاكي"
					},
					new Nationality
					{
						Id = 168,
						CountryCode = "SI",
						NameEn = "Slovenian",
						NameAr = "سلوفيني"
					},
					new Nationality
					{
						Id = 169,
						CountryCode = "SB",
						NameEn = "Solomon Islander",
						NameAr = "سولوموني"
					},
					new Nationality
					{
						Id = 170,
						CountryCode = "SO",
						NameEn = "Somali",
						NameAr = "صومالي"
					},
					new Nationality
					{
						Id = 171,
						CountryCode = "ZA",
						NameEn = "South African",
						NameAr = "جنوب أفريقي"
					},
					new Nationality
					{
						Id = 172,
						CountryCode = "SS",
						NameEn = "South Sudanese",
						NameAr = "جنوب سوداني"
					},
					new Nationality
					{
						Id = 173,
						CountryCode = "ES",
						NameEn = "Spanish",
						NameAr = "إسباني"
					},
					new Nationality
					{
						Id = 174,
						CountryCode = "LK",
						NameEn = "Sri Lankan",
						NameAr = "سريلانكي"
					},
					new Nationality
					{
						Id = 175,
						CountryCode = "SD",
						NameEn = "Sudanese",
						NameAr = "سوداني"
					},
					new Nationality
					{
						Id = 176,
						CountryCode = "SR",
						NameEn = "Surinamese",
						NameAr = "سورينامي"
					},
					new Nationality
					{
						Id = 177,
						CountryCode = "SZ",
						NameEn = "Swazi",
						NameAr = "سواتي"
					},
					new Nationality
					{
						Id = 178,
						CountryCode = "SE",
						NameEn = "Swedish",
						NameAr = "سويدي"
					},
					new Nationality
					{
						Id = 179,
						CountryCode = "CH",
						NameEn = "Swiss",
						NameAr = "سويسري"
					},
					new Nationality
					{
						Id = 180,
						CountryCode = "SY",
						NameEn = "Syrian",
						NameAr = "سوري"
					},
					new Nationality
					{
						Id = 181,
						CountryCode = "TW",
						NameEn = "Taiwanese",
						NameAr = "تايواني"
					},
					new Nationality
					{
						Id = 182,
						CountryCode = "TJ",
						NameEn = "Tajik",
						NameAr = "طاجيكي"
					},
					new Nationality
					{
						Id = 183,
						CountryCode = "TZ",
						NameEn = "Tanzanian",
						NameAr = "تنزاني"
					},
					new Nationality
					{
						Id = 184,
						CountryCode = "TH",
						NameEn = "Thai",
						NameAr = "تايلندي"
					},
					new Nationality
					{
						Id = 185,
						CountryCode = "TL",
						NameEn = "Timorese",
						NameAr = "تيموري"
					},
					new Nationality
					{
						Id = 186,
						CountryCode = "TG",
						NameEn = "Togolese",
						NameAr = "توغولي"
					},
					new Nationality
					{
						Id = 187,
						CountryCode = "TK",
						NameEn = "Tokelauan",
						NameAr = "توكلاوي"
					},
					new Nationality
					{
						Id = 188,
						CountryCode = "TO",
						NameEn = "Tongan",
						NameAr = "تونغي"
					},
					new Nationality
					{
						Id = 189,
						CountryCode = "TT",
						NameEn = "Trinidadian",
						NameAr = "ترينيدادي"
					},
					new Nationality
					{
						Id = 190,
						CountryCode = "TN",
						NameEn = "Tunisian",
						NameAr = "تونسي"
					},
					new Nationality
					{
						Id = 191,
						CountryCode = "TR",
						NameEn = "Turkish",
						NameAr = "تركي"
					},
					new Nationality
					{
						Id = 192,
						CountryCode = "TM",
						NameEn = "Turkmen",
						NameAr = "تركماني"
					},
					new Nationality
					{
						Id = 193,
						CountryCode = "TC",
						NameEn = "Turks and Caicos Islander",
						NameAr = "تركي وكايكوسي"
					},
					new Nationality
					{
						Id = 194,
						CountryCode = "TV",
						NameEn = "Tuvaluan",
						NameAr = "توفالي"
					},
					new Nationality
					{
						Id = 195,
						CountryCode = "UG",
						NameEn = "Ugandan",
						NameAr = "أوغندي"
					},
					new Nationality
					{
						Id = 196,
						CountryCode = "UA",
						NameEn = "Ukrainian",
						NameAr = "أوكراني"
					},
					new Nationality
					{
						Id = 197,
						CountryCode = "AE",
						NameEn = "Emirati",
						NameAr = "إماراتي"
					},
					new Nationality
					{
						Id = 198,
						CountryCode = "GB",
						NameEn = "British",
						NameAr = "بريطاني"
					},
					new Nationality
					{
						Id = 199,
						CountryCode = "US",
						NameEn = "American",
						NameAr = "أمريكي"
					},
					new Nationality
					{
						Id = 200,
						CountryCode = "UY",
						NameEn = "Uruguayan",
						NameAr = "أوروغواي"
					},
					new Nationality
					{
						Id = 201,
						CountryCode = "UZ",
						NameEn = "Uzbek",
						NameAr = "أوزبكي"
					},
					new Nationality
					{
						Id = 202,
						CountryCode = "VU",
						NameEn = "Vanuatuan",
						NameAr = "فانواتي"
					},
					new Nationality
					{
						Id = 203,
						CountryCode = "VE",
						NameEn = "Venezuelan",
						NameAr = "فنزويلي"
					},
					new Nationality
					{
						Id = 204,
						CountryCode = "VN",
						NameEn = "Vietnamese",
						NameAr = "فيتنامي"
					},
					new Nationality
					{
						Id = 205,
						CountryCode = "WF",
						NameEn = "Wallis and Futuna",
						NameAr = "واليس وفوتونا"
					},
					new Nationality
					{
						Id = 206,
						CountryCode = "YE",
						NameEn = "Yemeni",
						NameAr = "يمني"
					},
					new Nationality
					{
						Id = 207,
						CountryCode = "ZM",
						NameEn = "Zambian",
						NameAr = "زامبي"
					},
					new Nationality
					{
						Id = 208,
						CountryCode = "ZW",
						NameEn = "Zimbabwean",
						NameAr = "زيمبابوي"
					}

            );
        }
    }
}